/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-02-02
 * 描述            ：制程钢种与成品交货状态对应表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.metallurgy.vo;
import java.io.Serializable;

import market.Qms.metallurgy.mapper.ComMscGradeRDeliverystateMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_MSC_GRADE_R_DELIVERYSTATE", namespace=ComMscGradeRDeliverystateMapper.class)
public class ComMscGradeRDeliverystate extends BaseVO implements Serializable {
	/** 
	 * 冶金规范码（保存MSC和接箍KEY）
	 */ 
	@Id
	private String msc;
	public String  getMsc() {
		return this.msc;
	}
	public void setMsc(String msc) {
		this.msc = msc;
	}

	/** 
	 * 全程产线号
	 */ 
	@Id
	private String msc_pline;
	public String  getMsc_pline() {
		return this.msc_pline;
	}
	public void setMsc_pline(String msc_pline) {
		this.msc_pline = msc_pline;
	}

	/** 
	 * 炼钢牌号代码
	 */ 
	@Id
	private String grade_code;
	public String  getGrade_code() {
		return this.grade_code;
	}
	public void setGrade_code(String grade_code) {
		this.grade_code = grade_code;
	}

	/** 
	 * 交货状态代码
	 */ 
	@Id
	private String delivery_state_code;
	public String  getDelivery_state_code() {
		return this.delivery_state_code;
	}
	public void setDelivery_state_code(String delivery_state_code) {
		this.delivery_state_code = delivery_state_code;
	}

	/** 
	 * 交货状态描述
	 */ 
	@Column
	private String delivery_state_desc;
	public String  getDelivery_state_desc() {
		return this.delivery_state_desc;
	}
	public void setDelivery_state_desc(String delivery_state_desc) {
		this.delivery_state_desc = delivery_state_desc;
	}

}
